---
title: "Get Groups"
slug: "get-groups"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Groups

Get/api/v1/groups.list

Lists all the private channels you are a member of.

### Changelog

| Version | Description |
| --- | --- |
| 0.67.0 | Removed `query` parameter support. |
| 0.62.0 | Add `query` parameter support. |
| 0.49.0 | Count and offset query parameters supported. |
| 0.33.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersoffsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
sortstring

Sort the channels in ascending (`1`) or descending (`-1`) order. The value must be entered as a JSON object. The options are as follows:

- `name`: Sort by the channel name. For example, `sort={&quot;name&quot;:1}` (this is the default sorting mechanism).
- `ts`: Sort by channel creation timestamp. For example, `sort={&quot;ts&quot;:-1}`
- `usersCount`: Sort by the number of users in the channel. For example, `sort={&quot;usersCount&quot;:1}`

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='3cae1279-4e1f-453f-9f74-a6189659a0e5'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='72cbb634-1e78-4bfb-adaa-651a1c0cc6fa'>Success</option>
</select>Success

```json
{
  "groups": [
    {
      "_id": "ByehQjC44FwMeiLbX",
      "name": "test-test",
      "t": "p",
      "msgs": 0,
      "u": {
        "_id": "aobEdbYhXfu5hkeqG",
        "username": "testing1"
      },
      "ts": "2016-12-09T15:08:58.042Z",
      "ro": false,
      "sysMes": true,
      "_updatedAt": "2016-12-09T15:22:40.656Z"
    },
    {
      "_id": "t7qapfhZjANMRAi5w",
      "name": "testing",
      "t": "p",
      "msgs": 0,
      "u": {
        "_id": "y65tAmHs93aDChMWu",
        "username": "testing2"
      },
      "ts": "2016-12-01T15:08:58.042Z",
      "ro": false,
      "sysMes": true,
      "_updatedAt": "2016-12-09T15:22:40.656Z"
    }
  ],
  "offset": 0,
  "count": 1,
  "total": 1,
  "success": true
}
```

Expand Allobject  groups Array of object   object  _idstring    
namestring    
tstring    
msgsinteger    
uobject  _idstring    
usernamestring    

tsstring    
roboolean    
sysMesboolean    
_updatedAtstring    

offsetinteger    
countinteger    
totalinteger    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='5129b497-287c-47fe-a632-ae16ed0de26d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='31de035d-8df7-4c71-b2f8-0addf77cd22f'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
